Subject: Re: [MEDIACTRL] Typo in mixer-package-06

From: "McGlashan, Scott" <[email-masked]>
Date: Thu, 28 May 2009 13:28:39 +0000

Hi Stephane,

I've addressed the typos in the -07 version. 

On your <stream> points, I would assume that mute has the effect of stopping transmission of audio in the specific directions, i.e. mute is an audio-specific control equivalent of inactive direction (stream established but no media flow). 

So in your first example, the audio stream is established but stopped in both directions (send/receive) relative to the connection. In the second example, a receive stream is established and active but the send stream is inactive (established but no media flow). In your third example, the effect of 'unmute' would be to cause an established audio stream to start flowing in both send and receive directions.  

Let us know if that doesn't answer your questions. If you think that some spec clarification is required, suggestions would be most welcome!  

Thanks

scott 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Stéphane Bastien
Sent: Thursday, March 26, 2009 21:01
To: [email-masked]
Subject: [MEDIACTRL] Typo in mixer-package-06

Hi,

I noted these typos in mixer-package-06:

- Throughout the document, there are references to section 17.1 of sip-control-framework, which does not exist. The reference should be to section 16.1.

- section 4.2.2.2 "unless this is leads to a  stream conflict" -> remove "is"

- section 4.2.2.5 <stream>: is there an overlap in functionality between <stream>'s attribute direction and <volume>'s attribute controltype="setstate" ?

For example, is this join:

  <mscmixer version="1.0" xmlns="urn:ietf:params:xml:ns:msc-mixer">
    <join id1="1536067209~913cd14c" id2="conference1">
     <stream media="audio">
      <volume controltype="setstate" value="mute"/>
     </stream>
    </join>
   </mscmixer>

equivalent to this one:

  <mscmixer version="1.0" xmlns="urn:ietf:params:xml:ns:msc-mixer">
    <join id1="1536067209~913cd14c" id2="conference1">
     <stream media="audio" direction="recvonly" />
    </join>
   </mscmixer>

And does the below join make sense?

   <mscmixer version="1.0" xmlns="urn:ietf:params:xml:ns:msc-mixer">
    <join id1="1536067209~913cd14c" id2="conference1">
     <stream media="audio" direction="inactive">
      <volume controltype="setstate" value="unmute"/>
     </stream>
    </join>
   </mscmixer>

Thanks,

Stephane
_______________________________________________
MEDIACTRL mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mediactrl
Supplemental Web Site:
http://www.standardstrack.com/ietf/mediactrl